{
  lib,
  config,
  pkgs,
  ...
}:
let
  inherit (lib) mkIf mkEnableOption;

  cfg = config.marleyos.programs.fish;
in
{
  options.marleyos.programs.fish.enable = mkEnableOption "fish";

  config = mkIf cfg.enable {
    programs.fish = {
      enable = true;

      useBabelfish = true;
    };

    environment.shells = [ pkgs.fish ];
  };
}
